Package org.springframework.jmx.export.annotation

# Annotation Interface ManagedOperationParameters

@Target(METHOD) @Retention(RUNTIME) @Documented public @interface ManagedOperationParameters
Method-level annotation used as a container for one or more `@ManagedOperationParameter` declarations.

Note, however, that use of the `@ManagedOperationParameters` container is completely optional since `@ManagedOperationParameter` is a repeatable annotation.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  - `ManagedOperationParameter`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`ManagedOperationParameter[]`
`value`

## Element Details

### value

ManagedOperationParameter[] value

Default:
  {}